package com.ruoyi.learn.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 真题卷对象 learn_paper_real
 * 
 * @author ruoyi
 * @date 2025-09-18
 */
public class LearnPaperReal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 科目ID */
    @Excel(name = "科目ID")
    private Long subjectId;

    /** 试卷名称 */
    @Excel(name = "试卷名称")
    private String paperName;

    /** 试卷年份 */
    @Excel(name = "试卷年份")
    private Long year;

    /** 历年真题,模拟卷,必刷题 */
    @Excel(name = "历年真题,模拟卷,必刷题")
    private String paperType;

    /** 试卷题数 */
    @Excel(name = "试卷题数")
    private String number;

    /** 试卷总分 */
    @Excel(name = "试卷总分")
    private Long fenshu;

    /** 0 默认 1 精品试卷 */
    @Excel(name = "0 默认 1 精品试卷")
    private Long paperSource;

    /** 是否有在线卷 */
    @Excel(name = "是否有在线卷")
    private Long online;

    /** 唯一标识 */
    @Excel(name = "唯一标识")
    private String tiid;

    /** 下载路径 */
    @Excel(name = "下载路径")
    private String osspath;

    /** 原始文件名 */
    @Excel(name = "原始文件名")
    private String filename;

    /** 适用地区 */
    @Excel(name = "适用地区")
    private String locations;

    /** 适用考生 */
    @Excel(name = "适用考生")
    private String examineeType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setSubjectId(Long subjectId) 
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId() 
    {
        return subjectId;
    }

    public void setPaperName(String paperName) 
    {
        this.paperName = paperName;
    }

    public String getPaperName() 
    {
        return paperName;
    }

    public void setYear(Long year) 
    {
        this.year = year;
    }

    public Long getYear() 
    {
        return year;
    }

    public void setPaperType(String paperType) 
    {
        this.paperType = paperType;
    }

    public String getPaperType() 
    {
        return paperType;
    }

    public void setNumber(String number) 
    {
        this.number = number;
    }

    public String getNumber() 
    {
        return number;
    }

    public void setFenshu(Long fenshu) 
    {
        this.fenshu = fenshu;
    }

    public Long getFenshu() 
    {
        return fenshu;
    }

    public void setPaperSource(Long paperSource) 
    {
        this.paperSource = paperSource;
    }

    public Long getPaperSource() 
    {
        return paperSource;
    }

    public void setOnline(Long online) 
    {
        this.online = online;
    }

    public Long getOnline() 
    {
        return online;
    }

    public void setTiid(String tiid) 
    {
        this.tiid = tiid;
    }

    public String getTiid() 
    {
        return tiid;
    }

    public void setOsspath(String osspath) 
    {
        this.osspath = osspath;
    }

    public String getOsspath() 
    {
        return osspath;
    }

    public void setFilename(String filename) 
    {
        this.filename = filename;
    }

    public String getFilename() 
    {
        return filename;
    }

    public void setLocations(String locations) 
    {
        this.locations = locations;
    }

    public String getLocations() 
    {
        return locations;
    }

    public void setExamineeType(String examineeType) 
    {
        this.examineeType = examineeType;
    }

    public String getExamineeType() 
    {
        return examineeType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subjectId", getSubjectId())
            .append("paperName", getPaperName())
            .append("year", getYear())
            .append("paperType", getPaperType())
            .append("number", getNumber())
            .append("fenshu", getFenshu())
            .append("paperSource", getPaperSource())
            .append("online", getOnline())
            .append("tiid", getTiid())
            .append("osspath", getOsspath())
            .append("filename", getFilename())
            .append("locations", getLocations())
            .append("examineeType", getExamineeType())
            .append("createTime", getCreateTime())
            .toString();
    }
}
